@echo off

rem --------------------------------------------------------------------------
rem This file executes whenever is pressed any of the combinations ALT-0...
rem ALT-9 while running the DRC terminal emulator.
rem
rem Following are the parameters passed from DRC:
rem
rem     %1      numeric-key pressed 0..9 for ALT-0..ALT-9
rem     %2      serial port used 0..15 (0-based)
rem     %3      serial port used 1..16 (1-based)
rem     %4      serial port's speed (FOSSIL standard)
rem
rem "FOSSIL standard" means one of the speeds supported by FOSSIL interface
rem (that are: 300, 600, 1200, 2400, 4800, 9600, 19200, 38400). If the port
rem is working at a non-standard speed (due to locking or to the fast float
rem mode), the passed speed value will always be 38400.
rem --------------------------------------------------------------------------


rem jumps to the proper point

goto alt%1

rem in this demo-batch, every label performs the same job...

:alt1
:alt2
:alt3
:alt4
:alt5
:alt6
:alt7
:alt8
:alt9
:alt0
  echo You pressed the shell-key ALT-%1 while working on COM%3 at %4 BPS
